Bug 975590 - Review Request: openstack-selinux - SELinux policies for OpenStack
Review Request: openstack-selinux - SELinux policies for OpenStack
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: Package Review (Show other bugs)
el6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steven Dake
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 966199
  Show dependency treegraph
 
Reported: 2013-06-18 16:34 EDT by Lon Hohberger
Modified: 2016-04-26 11:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-11 13:42:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sdake: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lon Hohberger 2013-06-18 16:34:35 EDT
Spec URL: http://people.redhat.com/lhh/openstack-selinux.spec
SRPM URL: http://people.redhat.com/lhh/openstack-selinux-0.1.2-10.el6ost.src.rpm
Description: SELinux policy modules for use with OpenStack
Fedora Account System Username: lon

NOTE: This is not intended for Fedora mainline, but for RDO/EPEL.
Comment 3 Steven Dake 2013-06-19 14:16:14 EDT
Lon,

The automated reviewer is choking on the lack of a buildrequires for selinux-policy-devel.  Note, I may have missed this in the original rhel review which should likely need this build requires.  When you correct I can continue the review.

Thanks
-steve
Comment 4 Lon Hohberger 2013-06-21 16:22:06 EDT
I updated the spec file and source RPM to -11 with the requirement.
Comment 7 Steven Dake 2013-06-24 12:22:35 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Package must own all directories that it creates.

I believe you need a %dir for 
%attr(0644,root,root) %{_datadir}/selinux/devel/include/%{moduletype}


[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 1 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: Uses parallel make.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.
===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: openstack-selinux-0.1.2-11.fc18.noarch.rpm
openstack-selinux.noarch: E: explicit-lib-dependency libselinux-utils
openstack-selinux.noarch: E: non-readable /usr/share/selinux/packages/openstack-rsync.pp.bz2 0600L
openstack-selinux.noarch: E: non-readable /usr/share/selinux/packages/swift.pp.bz2 0600L
openstack-selinux.noarch: E: non-readable /usr/share/selinux/packages/openstack-selinux-quantum.pp.bz2 0600L
openstack-selinux.noarch: E: non-readable /usr/share/selinux/packages/openstack-selinux-nova.pp.bz2 0600L
1 packages and 0 specfiles checked; 5 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint openstack-selinux
openstack-selinux.noarch: E: explicit-lib-dependency libselinux-utils
openstack-selinux.noarch: E: non-readable /usr/share/selinux/packages/openstack-rsync.pp.bz2 0600L
openstack-selinux.noarch: E: non-readable /usr/share/selinux/packages/swift.pp.bz2 0600L
openstack-selinux.noarch: E: non-readable /usr/share/selinux/packages/openstack-selinux-quantum.pp.bz2 0600L
openstack-selinux.noarch: E: non-readable /usr/share/selinux/packages/openstack-selinux-nova.pp.bz2 0600L
1 packages and 0 specfiles checked; 5 errors, 0 warnings.
# echo 'rpmlint-done:'
Requires
--------
openstack-selinux (rpmlib, GLIBC filtered):
    /bin/sh
    libselinux-utils
    policycoreutils
    selinux-policy-base
    selinux-policy-targeted



Provides
--------
openstack-selinux:
    openstack-selinux



Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 975590
Comment 8 Steven Dake 2013-06-24 12:24:58 EDT
BLOCKERS:
I believe you have unowned directories

One of the rpmlint errors falls under this category:
http://fedoraproject.org/wiki/Packaging:Guidelines#Explicit_Requires

Files in /usr/share should be world-readable.  These include the bz2 policy files.
Comment 9 Lon Hohberger 2013-06-24 18:21:03 EDT
Ah, great catch.  Thanks!
Comment 10 Lon Hohberger 2013-06-26 13:50:02 EDT
It looks like 0755 is fine for this and I can just the defattr line.
Comment 11 Lon Hohberger 2013-06-26 14:01:38 EDT
644 is fine for all of the files as well.
Comment 12 Lon Hohberger 2013-06-26 17:24:57 EDT
I updated the package and spec file; this time it no longer gives a '!' in the fedora-review for owning all packages it creates.  Good.

[lhh@zealand tmp]$ rpmlint *.rpm
openstack-selinux.noarch: E: explicit-lib-dependency libselinux-utils
openstack-selinux.noarch: W: incoherent-version-in-changelog 0.1.2-11 ['0.1.2-11.el6ost', '0.1.2-11.el6ost']
openstack-selinux.src:35: W: macro-in-comment %{name}
openstack-selinux.src:35: W: macro-in-comment %{version}
openstack-selinux.src:36: W: macro-in-comment %{name}
openstack-selinux.src:36: W: macro-in-comment %{version}
openstack-selinux.src: W: invalid-url Source0: openstack-selinux-0.1.2.tar.gz
2 packages and 0 specfiles checked; 1 errors, 6 warnings.

The explicit lib dependency is incorrect WRT rpmlint; the 'getenforce' command is provided by libselinux-utils.
Comment 14 Steven Dake 2013-06-26 20:15:43 EDT
APPROVED.
Comment 15 Steven Dake 2013-06-26 20:19:20 EDT
Lon,

Please make a SCM request as outlined on this page for EPEL:
http://fedoraproject.org/wiki/Package_SCM_admin_requests
Comment 16 Lon Hohberger 2013-06-27 14:51:10 EDT
Will do, thank you, Steve!
Comment 17 Lon Hohberger 2013-06-27 14:55:14 EDT
New Package SCM Request
=======================
Package Name: openstack-selinux
Short Description: SELinux policies for OpenStack
Owners: lon
Branches: el6-grizzly el6-havana
InitialCC:
Comment 18 Gwyn Ciesla 2013-06-27 19:15:33 EDT
No valid branches requested.
Comment 19 Lon Hohberger 2013-07-03 09:22:51 EDT
New Package SCM Request
=======================
Package Name: openstack-selinux
Short Description: SELinux policies for OpenStack
Owners: lon
Branches: el6
InitialCC: pbrady
Comment 20 Gwyn Ciesla 2013-07-03 14:20:12 EDT
Git done (by process-git-requests).
Comment 21 Lon Hohberger 2013-07-11 13:42:37 EDT
Now available:

http://repos.fedorapeople.org/repos/openstack/openstack-grizzly/epel-6/

Note You need to log in before you can comment on or make changes to this bug.